
Infrastructure - Story #1129

Tomcat needs to be configured to handle \ in URIs

2010-12-02 23:01 - Chad Berkley

Status: Closed Start date: 2010-12-02

Priority: High Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2010.50   

Story Points:    

Description

Tomcat doesn't like \ or its escaped representation (%5C), for security reasons related to proxying. 

http://tomcat.apache.org/security-6.html#Fixed_in_Apache_Tomcat_6.0.10

(the current encoding specification we use escapes \ to %5C) 

Subtasks:

Task # 1130: Need to figure out if we want to configure tomcat to accept \ in a URI Closed

Task # 1131: Need to figure out how to enable \ (%5C) in tomcat URIs Closed

History

#1 - 2010-12-03 17:58 - Rob Nahf

- Position set to 1

- Target version set to Sprint-2010.49

- Position deleted (1)

#2 - 2010-12-13 18:33 - Dave Vieglais

- Target version changed from Sprint-2010.49 to Sprint-2010.50

- Position deleted (11)

- Position set to 2

#3 - 2010-12-14 19:59 - Rob Nahf

- Status changed from New to Closed

configured tomcat  to handle escaped backslashes.  It might be prudent to check the security hole through a test, to see if it's something we now have

to worry about.  A separate story will be created for that.

Powered by TCPDF (www.tcpdf.org)

2024-04-23 1/1

http://tomcat.apache.org/security-6.html#Fixed_in_Apache_Tomcat_6.0.10
http://www.tcpdf.org

